<div class="elastic-list">
  <div class="list-header" fxLayout="row" fxLayoutAlign="start baseline">
    <div class="list-name">{{ name }}</div>
    <mat-form-field class="filter-input" floatPlaceholder="never" fxFlex>
      <mat-icon class="filter-input-icon" matPrefix>search</mat-icon>
      <input matInput #filter [placeholder]="placeholder?placeholder:'Search&hellip;'">
    </mat-form-field> 
    <ng-content select=".actions"></ng-content>
  </div>

  <mat-menu #columnFilter="matMenu" yPosition="below" xPosition="before">
    <button class="checkbox-item mat-menu-item" *ngFor="let column of columns"
            (click)="toggleColumnVisibility(column, $event)">
      <!-- <mat-checkbox [(ngModel)]="column.visible" class="checkbox" #checkbox (click)="$event.stopPropagation()">
        {{ column.name }}
      </mat-checkbox> -->
    </button>
  </mat-menu>

  <ng-content></ng-content>
</div>
